/* 
 * <?php echo THEME_NAME; ?> Theme Custom CSS 
 *
 * This file and all CSS code is created and generated automatically, if you found this file please don't edit or add code here.
 */ 
 
<?php 
$body_font = ft_get_option('body_font');
if($body_font) : ?>
body{
    font-size:<?php echo $body_font['size']; ?>;
    color:<?php echo $body_font['color']; ?>;
}
label span,legend span, #news-ticker .label, #news-ticker ul#ticker li a, .tagcloud a, .wp-pagenavi a, .wp-pagenavi span, .navigation a, #shareme .box a, .responsive-menu, .entry-list ul li h5 a{
    color:<?php echo $body_font['color']; ?>;
}
<?php endif; ?>
<?php 
$body_bg = ft_get_option('body_bg');
$want_backstrech = ft_get_option('want_backstrech');

if($body_bg && !$want_backstrech == true ) : 
if($body_bg['color'] || $body_bg['image']) { ?>
body{
<?php if($body_bg['color'] != ''){ ?>
    background-color:<?php echo $body_bg['color']; ?>;
<?php } ?>
<?php if($body_bg['image'] != ''){ ?>
    background-image:url('<?php echo $body_bg['image']; ?>');
    background-repeat:<?php echo $body_bg['repeat']; ?>;
    background-position:<?php echo $body_bg['position']; ?>;
    background-attachment:<?php echo $body_bg['attachment']; ?>;
<?php } ?>
}
<?php
}
endif; ?>
<?php 
$heading_font = ft_get_option('heading_font');
if($heading_font) : ?>
h1,h2,h3,h4,h5,h5{
    color:<?php echo $heading_font['color']; ?>;
}
.heading, .heading a, .entry .entry-header .entry-title a, #review-box h5, ol.commentlist li .comment-meta, .post-navigation strong{
    color:<?php echo $heading_font['color']; ?>;
}
<?php endif; ?>
<?php 
$menu_nav_font = ft_get_option('menu_nav_font');
if($menu_nav_font) : ?>
#primary-menu > li > a{
    font-size:<?php echo $menu_nav_font['size']; ?>;
    color:<?php echo $menu_nav_font['color']; ?>;
}
<?php endif; ?>
<?php 
$color_scheme = ft_get_option('color_scheme');
if($color_scheme) : ?>
a, a:hover, .heading a:hover, #primary-menu > li > a:hover,
#primary-menu > li.active > a, .entry .entry-header .entry-title a:hover, .entry-list ul li h5 a:hover{
    color:<?php echo $color_scheme; ?>;
}
a.button, .button, button, input[type="button"], input[type="submit"], #primary-menu > li.sfHover > a, #primary-menu li ul, .flex-direction-nav a:hover, ol.flex-control-paging li a.flex-active, #slider .flex-caption .cats a, .entry .entry-asset .review-badge, .entry-list ul li .review-badge, #review-box ul li .review-criteria-bar, #review-box .review-total-score .right, .tagcloud a:hover, .widget_calendar table td#today, .widget_calendar caption, .wp-pagenavi a:hover, .wp-pagenavi span.current, .wp-pagenavi span.pages, .navigation a:hover{
    background-color:<?php echo $color_scheme; ?>;
}
#header-bar, #footer-bottom, #primary-menu > li > a:hover, #primary-menu > li.active > a, #primary-menu > li.sfHover > a, .wp-pagenavi a:hover, .wp-pagenavi span.current, .wp-pagenavi span.pages, .navigation a:hover{
    border-color:<?php echo $color_scheme; ?>;
}
#primary-menu > li.sfHover > a{
	color:#FFF;
}
<?php endif; ?>
<?php 
$top_header_bg = ft_get_option('top_header_bg');
$top_header_text_color = ft_get_option('top_header_text_color');
$top_header_link_color = ft_get_option('top_header_link_color');
$top_header_link_hover_color = ft_get_option('top_header_link_hover_color');
if($top_header_bg) : ?>
#header-bar{
    background-color:<?php echo $top_header_bg; ?>;
}
<?php endif; ?>
<?php if($top_header_text_color) : ?>
#header-bar, .current-time{
    color:<?php echo $top_header_text_color; ?>;
}
<?php endif; ?>
<?php if($top_header_link_color) : ?>
#header-bar a, #header-bar #top-menu li a{
    color:<?php echo $top_header_link_color; ?>;
}
<?php endif; ?>
<?php if($top_header_link_hover_color) : ?>
#header-bar a:hover, #header-bar #top-menu li a:hover{
    color:<?php echo $top_header_link_hover_color; ?>;
}
<?php endif; ?>
<?php 
$main_header_bg = ft_get_option('main_header_bg');
$main_header_text_color = ft_get_option('main_header_text_color');
$main_header_link_color = ft_get_option('main_header_link_color');
$main_header_link_hover_color = ft_get_option('main_header_link_hover_color');

if($main_header_bg) : 
if($main_header_bg['color'] || $main_header_bg['image']) { ?>
#main-header{
<?php if($main_header_bg['color'] != ''){ ?>
    background-color:<?php echo $main_header_bg['color']; ?>;
<?php } ?>
<?php if($main_header_bg['image'] != ''){ ?>
    background-image:url('<?php echo $main_header_bg['image']; ?>');
    background-repeat:<?php echo $main_header_bg['repeat']; ?>;
    background-position:<?php echo $main_header_bg['position']; ?>;
    background-attachment:<?php echo $main_header_bg['attachment']; ?>;
<?php } ?>
}
<?php
}
endif; ?>
<?php if($main_header_text_color) : ?>
#main-header, #site-title, #site-description{
    color:<?php echo $main_header_text_color; ?>;
}
<?php endif; ?>
<?php if($main_header_link_color) : ?>
#main-header a, #site-title a{
    color:<?php echo $main_header_link_color; ?>;
}
<?php endif; ?>
<?php if($main_header_link_hover_color) : ?>
#main-header a:hover, #site-title a:hover{
    color:<?php echo $main_header_link_hover_color; ?>;
}
<?php endif; ?>
<?php 
$logo_top_margin = ft_get_option('logo_top_margin');
if($logo_top_margin){ ?>
#logo{
    margin-top:<?php echo $logo_top_margin; ?>;
}
<?php } ?>
<?php 
$primary_menu_bg = ft_get_option('primary_menu_bg');
$primary_menu_border = ft_get_option('primary_menu_border');
$primary_menu_indicator = ft_get_option('primary_menu_indicator');
$primary_menu_submenu_bg = ft_get_option('primary_menu_submenu_bg');
$primary_menu_submenu_link_color = ft_get_option('primary_menu_submenu_link_color');
$primary_menu_submenu_link_hover_color = ft_get_option('primary_menu_submenu_link_hover_color');

if($primary_menu_bg) : ?>
#primary-bar{
    background-color:<?php echo $primary_menu_bg; ?>
}
<?php endif; ?>
<?php if($primary_menu_border){ ?>
#primary-bar{
    border-color:<?php echo $primary_menu_border; ?>;
}
<?php } ?>
<?php if($primary_menu_indicator){ ?>
#primary-menu > li > a:hover,
#primary-menu > li.active > a{
    color:<?php echo $primary_menu_indicator; ?>;
    border-color:<?php echo $primary_menu_indicator; ?>;
}
<?php } ?>
<?php if($primary_menu_submenu_bg){ ?>
#primary-menu > li.sfHover > a,
#primary-menu li ul{
    background-color:<?php echo $primary_menu_submenu_bg; ?>;
}
#primary-menu > li.sfHover > a{
    border-color:<?php echo $primary_menu_submenu_bg; ?>;
}
<?php } ?>
<?php if($primary_menu_submenu_link_color){ ?>
#primary-menu li ul li a,
#primary-menu > li.sfHover > a{
    color:<?php echo $primary_menu_submenu_link_color; ?>;
}
<?php } ?>
<?php if($primary_menu_submenu_link_hover_color){ ?>
#primary-menu li ul li a:hover{
    color:<?php echo $primary_menu_submenu_link_hover_color; ?>;
}
<?php } ?>
<?php 
$newsticker_bg = ft_get_option('newsticker_bg');
$newsticker_border = ft_get_option('newsticker_border');
$newsticker_text_color = ft_get_option('newsticker_text_color');
if($newsticker_bg) : ?>
#secondary-bar{
    background-color:<?php echo $newsticker_bg; ?>;
}
<?php endif; ?>
<?php if($newsticker_border){ ?>
#secondary-bar{
    border-color:<?php echo $newsticker_border; ?>;
}
<?php } ?>
<?php if($newsticker_text_color){ ?>
#news-ticker .label, #news-ticker ul#ticker li a{
    color:<?php echo $newsticker_text_color; ?>;
}
<?php } ?>
<?php 
$footer_widget_area_bg = ft_get_option('footer_widget_area_bg');
$footer_widget_area_top_border = ft_get_option('footer_widget_area_top_border');
$footer_widget_text_color = ft_get_option('footer_widget_text_color');
$footer_widget_heading_color = ft_get_option('footer_widget_heading_color');
$footer_widget_border_color = ft_get_option('footer_widget_border_color');
if($footer_widget_area_bg || $footer_widget_area_top_border) : ?>
#footer-widget-area,
#footer-widget-area .widget_calendar table th,
#footer-widget-area .widget_calendar table td{
<?php if($footer_widget_area_bg){ ?>
    background-color:<?php echo $footer_widget_area_bg; ?>;
<?php } ?>
<?php if($footer_widget_area_top_border){ ?>
    border-color:<?php echo $footer_widget_area_top_border; ?>;
<?php } ?>
}
<?php endif; ?>
<?php if($footer_widget_text_color){ ?>
#footer-widget-area, #footer-widget-area .entry-list ul li h5 a{
    color:<?php echo $footer_widget_text_color; ?>;
}
<?php } ?>
<?php if($footer_widget_heading_color){ ?>
#footer-widget-area .widget .heading,
#footer-widget-area .widget .heading a{
    color:<?php echo $footer_widget_heading_color; ?>;
}
<?php } ?>
<?php if($footer_widget_border_color){ ?>
#footer-widget-area .widget .heading,
#footer-widget-area .tweet ul li,
#footer-widget-area .entry-list ul li,
#footer-widget-area .widget_calendar table th,
#footer-widget-area .widget_calendar table td,
#footer-widget-area .widget_calendar #calendar_wrap table{
    border-color:<?php echo $footer_widget_border_color; ?>;
}
<?php } ?>
<?php 
$footer_bottom_bg = ft_get_option('footer_bottom_bg');
$footer_bottom_text_color = ft_get_option('footer_bottom_text_color');
$footer_bottom_link_color = ft_get_option('footer_bottom_link_color');
$footer_bottom_link_hover_color = ft_get_option('footer_bottom_link_hover_color');

if($footer_bottom_bg || $footer_bottom_text_color) : ?>
#footer-bottom{
<?php if($footer_bottom_bg){ ?>
    background-color:<?php echo $footer_bottom_bg; ?>;
<?php } ?>
<?php if($footer_bottom_text_color){ ?>
    color:<?php echo $footer_bottom_text_color; ?>;
<?php } ?>
}
<?php endif; ?>
<?php if($footer_bottom_link_color){ ?>
#footer-bottom a{
    color:<?php echo $footer_bottom_link_color; ?>;
}
<?php } ?>
<?php if($footer_bottom_link_hover_color){ ?>
#footer-bottom a:hover{
    color:<?php echo $footer_bottom_link_hover_color; ?>;
}
<?php } ?>
<?php echo ft_get_option('custom_css'); ?>