<?php 
$post_number = ft_get_option('featured_posts_num');
$query = new WP_Query( 'post_type=post&posts_per_page='.$post_number.'&meta_key='. THEME_FX . 'set_as_featured&meta_value=on' );
?>

<?php if ( $query->have_posts() ) : ?>
<section id="featured-slider" class="row clearfix">
	<h3 class="heading">
    	<?php echo ft_get_option('featured_posts_label'); ?>
    </h3>
    
	<div id="slider" class="flexslider"">
    	<ul class="slides">
            <?php while ( $query->have_posts() ) : $query->the_post(); ?>
            	<li>
            		<?php if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) : ?>
                        <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" ><?php the_post_thumbnail( '650x450' ); ?></a>
                    <?php endif; ?>
                    
                    <div class="flex-caption">
                    	<span class="cats"><?php the_category( ' ', '', $post->ID ); ?></span>
                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s',  THEME_FX ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                        <?php the_excerpt();  ?>
                    </div>
				</li>
            <?php endwhile; ?>
		</ul>
	</div>
</section>
<?php endif; ?>
<?php wp_reset_postdata(); ?>