<?php get_header(); ?>

	<?php $layout_style = ft_get_option('layout_style'); ?>
    
    <div id="<?php echo $layout_style; ?>" class="clearfix">
        <div id="primary" class="three-fourth clearfix">
            <section id="content" class="clearfix" role="main">
                <h3 class="heading">
					<?php _e('همه اخبار', THEME_FX); ?> 
                    <span class="right"><a class="icon-rss" href="<?php echo get_bloginfo_rss('rss2_url'); ?>" title="<?php _e('مشترک شدن به RSS', THEME_FX); ?>"> <?php _e('اشتراک', THEME_FX); ?></a></span>
                </h3><!-- #heading -->
                
                <?php $i = 0; ?>
                <?php if ( have_posts() ) : ?>
					<?php while ( have_posts() ) : the_post(); $i++; ?>
                        <div class="post-box one-half <?php if($i % 2 == 0 ) echo 'last '; ?>">
                        <?php echo freshthemes_print_loop(); ?>
                        </div>
						<?php echo( $i % 2 == 0 ? '<div class="clear"></div>' : '' ); ?>
                    <?php endwhile; ?>
                    
                    <?php if( function_exists('wp_pagenavi') ) : ?>
                    	<?php wp_pagenavi(); ?>
					<?php else : ?>
                    	<?php get_template_part('includes/page', 'nav'); ?>
                    <?php endif; ?>
				<?php else : ?>
                    <article id="post-0" class="single-entry post no-results not-found clearfix">
                    	<?php if ( current_user_can( 'edit_posts' ) ) : ?>
                        	<header class="entry-header clearfix">
                                <h1 class="entry-title"><?php _e( 'نوشته‌ای برای نمایش وجود ندارد', THEME_FX ); ?></h1>
                            </header>
                            <div class="entry-content clearfix">
                                <p><?php printf( __( 'آماده انتشار اولین نوشته خود هستید؟ <a href="%s">از اینجا شروع کنید</a>.', THEME_FX ), admin_url( 'post-new.php' ) ); ?></p>
                            </div><!-- .entry-content -->
                        <?php else : ?>
                        	<header class="entry-header clearfix">
                                <h1 class="entry-title"><?php _e( 'چیزی پیدا نشد', THEME_FX ); ?></h1>
                            </header>
                            <div class="entry-content clearfix">
                                <p><?php _e( 'متاسفیم، نتیجه‌ای پیدا نشد!', THEME_FX ); ?></p>
                            </div><!-- .entry-content -->
                        <?php endif; ?>
                    </article>
                <?php endif; ?>
            </section><!-- #content -->
        
			<?php get_sidebar('left'); ?>
        </div>
        
        <div id="secondary" class="one-fourth clearfix">
			<?php get_sidebar('right'); ?>
        </div>
    </div>

<?php get_footer(); ?>