<?php get_header(); ?>
	
	<?php $layout_style = ft_get_option('layout_style'); ?>
    
    <div id="<?php echo $layout_style; ?>" class="clearfix">
        <div id="primary" class="three-fourth clearfix">
            <section id="content" class="clearfix" role="main">
				
				<?php if (is_category()) { ?>
                <?php $category = get_category( get_query_var('cat') ); ?>
                    <h3 class="heading"><?php printf(__("همه نوشته‌ها در '%s'", THEME_FX), single_cat_title('', false)); ?><span class="right"><a class="icon-rss" href="<?php echo get_category_feed_link( $category->cat_ID ); ?>" title="<?php printf( __( "مشترک شدن به دسته %s", THEME_FX ), $category->name ); ?>" rel="nofollow"> <?php _e( 'اشتراک', THEME_FX ); ?></a></span>
                    </h3>
                <?php } elseif( is_tag() ) { ?>
                    <h3 class="heading"><?php printf( __("همه نوشته‌های برچسب '%s'", THEME_FX), single_tag_title('', false) ); ?></h3>
				<?php } elseif (is_day()) { ?>
                    <h3 class="heading"><?php _e('آرشیو', THEME_FX) ?> <?php the_time('F jS, Y'); ?></h3>
                 <?php } elseif (is_month()) { ?>
                    <h3 class="heading"><?php _e('آرشیو', THEME_FX) ?> <?php the_time('F, Y'); ?></h3>
                <?php } elseif (is_year()) { ?>
                    <h3 class="heading"><?php _e('آرشیو', THEME_FX) ?> <?php the_time('Y'); ?></h3>
				<?php } elseif (is_author()) { ?>
        			<?php global $author; $userdata = get_userdata($author); ?>
					<h3 class="heading"><?php _e('همه نوشته‌ها توسط ', THEME_FX); echo $userdata->display_name; ?></h3>
				<?php } else { ?>
					<h3 class="heading"><?php _e('آرشیو اخبار', THEME_FX);?></h3>
                <?php } ?>
        
				<?php $i = 0; ?>
                <?php if ( have_posts() ) : ?>
					<?php while ( have_posts() ) : the_post(); $i++; ?>
                        <div class="post-box one-half <?php if($i % 2 == 0 ) echo 'last '; ?>">
                        <?php echo freshthemes_print_loop(); ?>
                        </div>
						<?php echo( $i % 2 == 0 ? '<div class="clear"></div>' : '' ); ?>
                    <?php endwhile; ?>
                    
                    <?php if( function_exists('wp_pagenavi') ) : ?>
                    	<?php wp_pagenavi(); ?>
					<?php else : ?>
                    	<?php get_template_part('includes/page', 'nav'); ?>
                    <?php endif; ?>
                    
                <?php else : ?>
                    <article id="post-0" class="single-entry post no-results not-found clearfix">
                    	<?php if ( current_user_can( 'edit_posts' ) ) : ?>
                        	<header class="entry-header clearfix">
                                <h1 class="entry-title"><?php _e( 'نوشته‌ای برای نمایش وجود ندارد', THEME_FX ); ?></h1>
                            </header>
                            <div class="entry-content clearfix">
                                <p><?php printf( __( 'برای انتشار اولین نوشته خود آماده هستید؟ <a href="%s">از اینجا شروع کنید</a>.', THEME_FX ), admin_url( 'post-new.php' ) ); ?></p>
                            </div><!-- .entry-content -->
                        <?php else : ?>
                        	<header class="entry-header clearfix">
                                <h1 class="entry-title"><?php _e( 'چیزی پیدا نشد', THEME_FX ); ?></h1>
                            </header>
                            <div class="entry-content clearfix">
                                <p><?php _e( 'متاسفیم، نتیجه‌ای پیدا نشد!', THEME_FX ); ?></p>
                            </div><!-- .entry-content -->
                        <?php endif; ?>
                    </article>
                <?php endif; ?>
                
            </section>
            
            <?php get_sidebar('left'); ?>
            
        </div>
        
        <div id="secondary" class="one-fourth clearfix">
			<?php get_sidebar('right'); ?>
        </div>

    </div>
	
<?php get_footer(); ?>