/* 
 * <?php echo THEME_NAME; ?> Theme Custom Script 
 *
 * This file and all code is created and generated automatically, if you found this file please don't edit or add code here.
 */ 

jQuery(document).ready(function($){
<?php
$auto_slide = ft_get_option('auto_slide');
$direction_nav = ft_get_option('direction_nav');
$control_nav = ft_get_option('control_nav');
$sliding_type = ft_get_option('sliding_type');
$sliding_direction = ft_get_option('sliding_direction');
$start_slide = ft_get_option('start_slide');
$slideshow_speed = ft_get_option('slideshow_speed');
$animation_speed = ft_get_option('animation_speed');
$slide_random = ft_get_option('slide_random');
$slide_pause_on_hover = ft_get_option('slide_pause_on_hover');

// Sharrre
$sharrre = ft_get_option('sharrre');
?>
    $('#slider').imagesLoaded( function(){
        $('#slider').flexslider({
            animation: '<?php echo $sliding_type; ?>',
            easing: 'swing',
            direction: '<?php echo $sliding_direction; ?>',
            startAt: <?php echo $start_slide; ?>,
            slideshow: <?php echo $auto_slide; ?>,
            slideshowSpeed: <?php echo $slideshow_speed; ?>,
            animationSpeed: <?php echo $animation_speed; ?>,
            randomize: <?php echo $slide_random; ?>,
            pauseOnHover: <?php echo $slide_pause_on_hover; ?>,
            controlNav: <?php echo $control_nav; ?>,
            directionNav: <?php echo $direction_nav; ?>,
            prevText: '<span class="icon-chevron-right"></span>',
            nextText: '<span class="icon-chevron-left"></span>'
        });
    });
    
    /* Sharrre */
    $('#shareme').sharrre({
        share: {
            googlePlus: <?php echo ($sharrre['googleplus'] == true ? 'true' : 'false'); ?>,
            facebook: <?php echo ($sharrre['facebook'] == true ? 'true' : 'false'); ?>,
            twitter: <?php echo ($sharrre['twitter'] == true ? 'true' : 'false'); ?>,
            digg: <?php echo ($sharrre['digg'] == true ? 'true' : 'false'); ?>,
            delicious: <?php echo ($sharrre['delicious'] == true ? 'true' : 'false'); ?>,
            stumbleupon: <?php echo ($sharrre['stumbleupon'] == true ? 'true' : 'false'); ?>,
            linkedin: <?php echo ($sharrre['linkedin'] == true ? 'true' : 'false'); ?>,
            pinterest: <?php echo ($sharrre['pinterest'] == true ? 'true' : 'false'); ?>
            
        },
        enableTracking: true,
        hover: function(api, options){
            $(api.element).find('.buttons').show();
        },
        hide: function(api, options){
            $(api.element).find('.buttons').hide();
        }
    });
});