<?php 


/* Template Name: Home Template */

get_header();?>
    
    <?php $layout_style = ft_get_option('layout_style'); ?>
    <div id="<?php echo $layout_style; ?>" class="clearfix">
        <div id="primary" class="three-fourth clearfix">
            <section id="content" class="clearfix" role="main">
                <?php if ( ft_get_option('featured_posts') == 'on' ) get_template_part('includes/module', 'featured-posts'); ?>
                <?php if ( ft_get_option('popular_posts') == 'on' ) get_template_part('includes/module', 'popular'); ?>
                <?php if ( ft_get_option('latest_posts') == 'on' ) get_template_part('includes/module', 'latest'); ?>
                <?php if ( ft_get_option('category_block_one') == 'on' ) get_template_part('includes/module', 'category-block-1'); ?>
                <?php if ( ft_get_option('category_block_two') == 'on' ) get_template_part('includes/module', 'category-block-2'); ?>
                <?php if ( ft_get_option('category_block_three') == 'on' ) get_template_part('includes/module', 'category-block-3'); ?>
                <?php if ( ft_get_option('category_block_four') == 'on' ) get_template_part('includes/module', 'category-block-4'); ?>
            </section><!-- #content -->
            
            <?php get_sidebar('left'); ?>
        </div>
        
        <div id="secondary" class="one-fourth clearfix">
			<?php get_sidebar('right'); ?>
        </div>
    </div>
    
<?php get_footer(); ?>